#include <math.h>
#include <caml/mlvalues.h>
#include <caml/alloc.h>


CAMLprim value erf_float_bytecode(value x)
{
  return copy_double(erf(Double_val(x)));
}  

CAMLprim double erf_float(double x)
{
  return erf(x);
}


CAMLprim value erfc_float_bytecode(value x)
{
  return copy_double(erfc(Double_val(x)));
}  

CAMLprim double erfc_float(double x)
{
  return erfc(x);
}


CAMLprim value gamma_float_bytecode(value x)
{
  return copy_double(tgamma(Double_val(x)));
}  

CAMLprim double gamma_float(double x)
{
  return tgamma(x);
}

