(** Guess for Hartree-Fock calculations. *)

type guess = 
| Hcore  of Lacaml.D.Mat.t
| Huckel of Lacaml.D.Mat.t

type t = guess


val make : ?nocc:int -> guess:[ `Hcore | `Huckel ] -> AOBasis.t -> t


(** {2 Tests} *)

val test_case : AOBasis.t -> unit Alcotest.test_case list
